package com.sheep.gamegroup.model.entity;

import com.sheep.gamegroup.absBase.IHomePageSearch;

/**
 * Created by realicing on 2018/11/8.
 * realicing@sina.com
 * 搜索结果
 * <p>
 * content:	string 内容
 * link_id:	integer ($int64) 关联id
 * link_type:	integer ($int64) 关联类型 1任务 2游戏
 * icon:	string 图标
 * title:	string 标题
 * bonus:	string 任务奖金
 */
public class HomePageSearch implements IHomePageSearch {
    private String content;
    private String title;
    private String bonus;
    private String icon;
    private int link_id;
    private int link_type;

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public int getLink_id() {
        return link_id;
    }

    public void setLink_id(int link_id) {
        this.link_id = link_id;
    }

    public int getLink_type() {
        return link_type;
    }

    public void setLink_type(int link_type) {
        this.link_type = link_type;
    }

    public String getBonus() {
        return bonus;
    }

    public void setBonus(String bonus) {
        this.bonus = bonus;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    //该类型是否有奖金
    public boolean hasBonus() {
        switch (link_type){
            case IHomePageSearch.LINK_TYPE_RELEASE_TASK://任务有奖金
                return true;
        }
        return false;
    }
}
